
Redmine - Defect #15812

Default Gravatar image setting ignored in activity feed with user_id parameter

2014-01-06 23:22 - Scott Macpherson

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.4.2

Description

When viewing /activity for a specified user (e.g. /activity?user_id=4), the default Gravatar image is set to "mm" regardless of the

value stored in Administration > Settings > Display > Default Gravatar image.

The default Gravatar image works correctly when the user_id parameter is removed from the URL.

PostgreSQL 9.1.11

Ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

Rails 3.2.16

Redmine 2.4.2.stable

History

#1 - 2014-01-07 05:07 - Scott Macpherson

I've been playing with this a little bit today and it doesn't actually appear to be related to the user_id parameter after all. My Redmine instance has a

couple of user accounts. The activity feed for one generates the correct Gravatar URL, but the other doesn't:

/activity?from=2013-12-13&user_id=4 generates Gravatar URL

https://secure.gravatar.com/avatar/[hash-goes-here]?rating=PG&size=24&default=mm

/activity?from=2013-12-13&user_id=4 generates Gravatar URL

https://secure.gravatar.com/avatar/[hash-goes-here]?rating=PG&size=24&default=identicon

#2 - 2023-01-04 02:23 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Cannot reproduce the issue. Please reopen this issue if anyone is still experiencing the problem.
